package com.freemud.sdk.api.assortment.order.response.order;

import lombok.Data;

@Data

public class BaseOrderResponse {

    private String data;

    private Integer errcode;

    private String errmsg;

    public static BaseOrderResponse getErrorBaseOrderResponse(Integer errcode, String errmsg) {
        BaseOrderResponse baseOrderResponse = new BaseOrderResponse();
        baseOrderResponse.setErrcode(errcode);
        baseOrderResponse.setErrmsg(errmsg);
        return baseOrderResponse;
    }
    public static BaseOrderResponse getErrorBaseOrderResponse(String errcode, String errmsg) {
        BaseOrderResponse baseOrderResponse = new BaseOrderResponse();
        baseOrderResponse.setErrcode(Integer.parseInt( errcode));
        baseOrderResponse.setErrmsg(errmsg);
        return baseOrderResponse;
    }

}
